﻿<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
<%var lang = args["language_type"];  %>
<div id="mainTab">
    <a class="currentMenu" data='{"name":"HistoryDevice","template":"tmp.history_alarmlog.html","fn":"false,date_time_picker_min,date_time_picker,History","modules":"mainContent","menuIndex":"2","render":"artTemplate"}' hidefocus="true" href="#">
    <span>/*[ID_ALARM]*/</span>
    </a>
    <%if(Configs.Commons.converter_400!=2){ %>
    <a data='{"name":"HistoryDevice","template":"tmp.history_testlog.html","fn":"false,date_time_picker_min,date_time_picker,History","modules":"mainBody","menuIndex":"2","render":"artTemplate"}' hidefocus="true" href="#">
    <span>/*[ID_BATT_TEST]*/</span>
    </a>
    <%} %>
    <a data='{"name":"HistoryDevice","template":"tmp.history_eventlog.html","fn":"false,date_time_picker_min,date_time_picker,History","modules":"mainBody","menuIndex":"2","render":"artTemplate"}' hidefocus="true" href="#">
    <span>/*[ID_EVENT]*/</span>
    </a>
    <a data='{"name":"HistoryDevice","template":"tmp.history_datalog.html","fn":"false,date_time_picker_min,date_time_picker,History","modules":"mainBody","menuIndex":"2","render":"artTemplate"}' hidefocus="true" href="#">
    <span>/*[ID_DATA]*/</span>
    </a>
	<!-- changed by Frank Wu,3/N/14,20140527, for system log -->
    <a data='{"name":"HistoryDevice","template":"tmp.history_systemlog.html","fn":"false,date_time_picker_min,date_time_picker,History","modules":"mainBody","menuIndex":"2","render":"artTemplate"}' hidefocus="true" href="#">
    <span>/*[ID_SYSTEMLOG]*/</span>
    </a>

</div>
<div class="extbackground">
<div class="mainBody" id="mainBody">
    <div class="history-summary">
        <div class="table-title">
            <span>/*[ID_ALARM2]*/</span>
        </div>
        <form action="../cgi-bin/web_cgi_query.cgi" method="get" id="historyForm">
        <% 
        var SetDisabled = "";
        var SetDisabledClass = "";
        var disabledselect="";
        if(args['level']==1){  
            SetDisabled = 'disabled="disabled"';
            SetDisabledClass = "btn_2_disabled";
            disabledselect=true;
        }
        %>
        <input type="hidden" name="data_type" id="data_type" value="2"/>
        <input type="hidden" name="language_type" value="0" />
        <p><strong>/*[ID_DEVICE]*/:</strong></p>
            <div class="dropdown">
            <div class="input_select set_value" data-index="-1" name="equipID" id="equipID">/*[ID_ALL_DEVICE]*/</div>
            <ul class="language yinc">
                <li><a href="javascript:void(0)" rel="-1">/*[ID_ALL_DEVICE2]*/</a></li>
            <%for(var i=0,ilen=data.device.length; i<ilen; i++){ %>                     
                 <li><a href="javascript:void(0)" rel="<%=data.device[i][2] %>"><%=data.device[i][lang] %></a></li>
            <%} %>
            </ul>
            <%if(disabledselect){%>
            <div class="hidden_input_select"></div>
            <%} %>
        </div>
        <p><strong>/*[ID_FROM]*/:</strong><input type="text" value="" name="dateFrom" id="dateFrom" <%=SetDisabled %> maxlength="19"  /></p>
        <p><strong>/*[ID_TO]*/:</strong><input type="text" value="" name="dateTo" id="dateTo" <%=SetDisabled %>  maxlength="19"  />
        <a href="#" class="btn_2 <%=SetDisabledClass %>" id="HistoryQuery"><span>/*[ID_QUERY]*/</span></a>
        <a href="/var/download/download_alarmHistory.html" target="_blank" class="btn_2 historyUpload"><span>/*[ID_UPLOAD]*/</span></a></p>
        <p class="info">/*[ID_TIPS]*/!</p>
        </form>
   </div>
   <script id="temp_historyList" type="text/x-dot-template">
           <table border="0" cellpadding="0" cellspacing="0" class="table-a" id="HistoryTable">
            <thead><tr><th style="width:30px;">/*[ID_INDEX]*/</th><th style="width:120px">/*[ID_DEVICE1]*/</th><th>/*[ID_SIGNAL]*/</th><th style="width:70px;">/*[ID_LEVEL]*/</th><th style="width:120px;">/*[ID_START]*/</th><th style="width:120px;">/*[ID_END]*/</th></tr></thead><tbody>{{for(var i=0,ilen=history_content.length; i<ilen; i++){ }}<tr{{if(i%2==1){ }} class="gray"{{} }}><td>{{=i+1}}</td>{{for(var j=0,jlen=history_content[i].length; j<jlen; j++){ }}{{ if(j==2){ var alarm_level ="";if(history_content[i][j] == 1){alarm_level = "/*[ID_OA]*/";} else if(history_content[i][j] == 2){alarm_level = "/*[ID_MA]*/";} else if(history_content[i][j] == 3){alarm_level = "/*[ID_CA]*/";};}}<td>{{=alarm_level }}</td>{{ } else if(j==3 || j==4) { var setTimeStr = Pages.SetSettingDate(history_content[i][j]);}}<td>{{=setTimeStr }}</td>{{ } else { }}<td>{{=history_content[i][j] }}</td>{{ } }}{{} }}</tr>{{} }}</tbody>
            </table>
    </script>
    <div class="history-list" id="historyList"></div>
</div>
</div>
</body></html>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
</script>